Bug 100042 - [PATCH] lang/tolua++: update to 1.0.92
Summary: [PATCH] lang/tolua++: update to 1.0.92
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Aaron Dalton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-10 22:00 UTC by Alexander Botero-Lowry
Modified: 2006-12-23 22:10 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.46 KB, patch)
2006-07-10 22:00 UTC, Alexander Botero-Lowry
no flags Details | Diff
diff.txt (3.47 KB, text/plain)
2006-12-23 22:09 UTC, Aaron Dalton
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Botero-Lowry 2006-07-10 22:00:34 UTC
- Update to 1.0.92
- Convert to bsd.scons.mk which passes in the correct CCFLAGS making this port
  CFLAGS and LDFLAGS safe

Removed file(s):
- files/patch-config_posix.py

Port maintainer (aaron@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77

Fix: --- tolua++-1.0.92.patch begins here ---
Comment 1 Edwin Groothuis freebsd_committer 2006-07-10 22:00:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

edwin@mavetju.org => edwin@
Comment 2 Edwin Groothuis freebsd_committer 2006-07-10 22:00:51 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Edwin Groothuis freebsd_committer 2006-07-10 23:35:42 UTC
Responsible Changed
From-To: edwin->aaron

Over to maintainer
Comment 4 Aaron Dalton freebsd_committer 2006-07-14 17:07:09 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

When testing this patch I get the following error:

===>   Registering installation for lua-5.0.2_1
===>   Returning to build of tolua++-1.0.92
===>  Configuring for tolua++-1.0.92
===>  Building for tolua++-1.0.92
scons: Reading SConscript files ...
TypeError: can only concatenate list (not "str") to list:
*** Error code 2

Stop in /usr/ports/lang/tolua++.
  File "SConstruct", line 131:
    env['LIBPATH'] =  ['#/lib'] + env['LIBPATH']

Seems like an error in the more general USE_SCONS framework.

- --
Aaron Dalton
aaron@FreeBSD.org
FreeBSD Ports Committer
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFEt8EtvlYKTYgR0qQRAtmuAJ9LBbn10LhBUdsuBXlmzoFaHlToWwCg1Xj4
Azy4e+P7Eg+7m/5x/sbME9A=
=5jHF
-----END PGP SIGNATURE-----
Comment 5 Aaron Dalton freebsd_committer 2006-07-24 20:17:04 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Even after adding the following to the port Makefile, I still get an error:
LIBPATH=	
LDFLAGS+=	-L${LOCALBASE}/lib
CFLAGS+=	-I${LOCALBASE}/include

===>   Returning to build of tolua++-1.0.92
===>  Configuring for tolua++-1.0.92
===>  Building for tolua++-1.0.92
scons: Reading SConscript files ...
TypeError: can only concatenate list (not "str") to list:
*** Error code 2

Stop in /usr/ports/lang/tolua++.
  File "SConstruct", line 131:
    env['LIBPATH'] =  ['#/lib'] + env['LIBPATH']
A problem building things on releng5-56

- --
Aaron Dalton
aaron@FreeBSD.org
FreeBSD Ports Committer
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFExRywvlYKTYgR0qQRAhG4AKDFZmjH402sxKLmZf8MUv5BW4cRKgCffSN4
6pDvC/yzmyvOYtaAGj0ketE=
=BuXq
-----END PGP SIGNATURE-----
Comment 6 Alexander Botero-Lowry 2006-07-24 23:43:38 UTC
Weird.. When I tinderbuilt it with that earlier it worked fine, but now 
when I try to do it I get the same error. o.O

Well, so I poked around the SConstruct file and it's a fairly easy fix:

change:
    env['LIBPATH'] =  ['#/lib'] + env['LIBPATH']
to:
    env['LIBPATH'] =  ['#/lib'] + env['LIBPATH'].split(" ")

This is a bug in tolua++'s SConstruct as far as I'm concerned, since you 
can't pass a python list in on the commandline. and it's accepting LIBPATH 
from the command line. Either they should find a way to get a list (like 
the split trick), or they should not accept from the commandline. 
Incidentlly adding those search pathes to LIBPATH doesn't seem to fix 
anything and LDFLAGS+= -L/usr/local/lib and CFLAGS+=/usr/local/include are 
still needed. So since they don't help anyway you may be better of 
changing:
    env['LIBPATH'] =  ['#/lib'] + env['LIBPATH']
to:
    env['LIBPATH'] =  ['#/lib']

It's up to you. I'm just happy to know it's not (entirely) my fault ;)

Alex
Comment 7 Aaron Dalton freebsd_committer 2006-12-23 22:09:07 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 8 Aaron Dalton freebsd_committer 2006-12-23 22:09:30 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Sorry for the long hiatus.  Attached is the final diff that seems to
work.  I'm committing now.

Merry Christmas!
- --
Aaron Dalton
aaron@FreeBSD.org
FreeBSD Ports Committer
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFFjakavlYKTYgR0qQRAgwHAJ0a7IPIv+jNQ0Fn2oC2UBv4dW8zSQCfX1Vd
pzKCNO4LldKXVAE9yrsV4O4=
=n97X
-----END PGP SIGNATURE-----
Comment 9 dfilter service freebsd_committer 2006-12-23 22:09:39 UTC
aaron       2006-12-23 22:09:32 UTC

  FreeBSD ports repository

  Modified files:
    lang/tolua++         Makefile distinfo 
  Added files:
    lang/tolua++/files   patch-SConstruct 
  Removed files:
    lang/tolua++/files   patch-config_posix.py 
  Log:
  Updated to 1.0.92
  
  PR:             100042
  Submitted by:   Alexander Botero-Lowry <alex@foxybanana.com>
  
  Revision  Changes    Path
  1.5       +6 -16     ports/lang/tolua++/Makefile
  1.2       +3 -3      ports/lang/tolua++/distinfo
  1.1       +11 -0     ports/lang/tolua++/files/patch-SConstruct (new)
  1.3       +0 -20     ports/lang/tolua++/files/patch-config_posix.py (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"